<h1>Posts</h1>

<p><%= notice %></p>

<% @posts.each do |post| %>
  <p>Username: <%= post.user.username %></p>
  <p>ID: <%= post.id %></p>
  <p>Description: <%= post.description %></p>
  <% if post.media.present? %>
    <%= image_tag url_for(post.media), size: "100x100" %>
  <% end %>

  <%= link_to "Edit", edit_post_path(post) %>
  <%= link_to "Show", post_path(post) %>
  <%= link_to "Destroy", post_path(post), method: :delete, data: { confirm: "Are you sure?" } %>
<% end %>
